Subject: Re: bug#24435: 25.1; Problem using Hunspell

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2016 19:20:09 +0300

> Date: Thu, 15 Sep 2016 17:22:01 +0200
> From: Agustin Martin <[email-masked]>
> Cc: Dmitri Paduchikh <[email-masked]>, [email-masked]
> 
> On Thu, Sep 15, 2016 at 05:25:25PM +0300, Eli Zaretskii wrote:
> > > From: Dmitri Paduchikh <[email-masked]>
> > > Cc: [email-masked],  [email-masked]
> > > Date: Thu, 15 Sep 2016 01:10:29 +0500
> > > 
> > > > Also, can you look (in 'ps' or some similar system utility) what is
> > > > the exact command line that Emacs invokes Hunspell in your case?
> > > 
> > > It was
> > > 
> > > $ pgrep -a hunspell
> > > 5897 /usr/bin/hunspell  -d ru_RU -i UTF-8
> > > 
> > > After this I have added "-a" to ispell-extra-args and now it seems to be
> > > working.
> > 
> > How did it happen that Hunspell was invoked without the -a switch,
> > though?  AFAICS, ispell-start-process hard-codes the -a switch, so it
> > should have been invoked with it.
> 
> I think it is ispell-call-process what is used for this particular purpose
> by ispell-check-version. No -a seems used here.

I think you are talking about checking the version, whereas I was
talking about how Hunspell is invoked for the spell-check itself.